Bug 151765

Summary: Update port: textproc/pear-Numbers_Words installs in wrong place
Product: Ports & Packages Reporter: Chris St Denis <chris>
Component: Individual Port(s)Assignee: Martin Wilke <miwi>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Chris St Denis 2010-10-26 23:30:06 UTC
port textproc/pear-Numbers_Words installs Words directly into /usr/local/share/pear/ instead of into the correct location /usr/local/share/pear/Numbers/

Fix: Add the category to the port's makefile

patch below:



+CATEGORY=      Numbers
+
 FILES=         Words.php Words/lang.bg.php Words/lang.cs.php \
                Words/lang.de.php Words/lang.dk.php Words/lang.en_100.php \
                Words/lang.en_GB.php Words/lang.en_US.php Words/lang.es.php \--AiAnZlkVlY5uTC2sRKmncY2UBqlOCOhI5i83cilHvNtpQmJC
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.old        2010-10-26 15:21:11.000000000 -0700
+++ Makefile    2010-10-26 15:21:42.000000000 -0700
@@ -15,6 +15,8 @@
 BUILD_DEPENDS= ${PEARDIR}/PEAR.php:${PORTSDIR}/devel/pear
 RUN_DEPENDS=   ${BUILD_DEPENDS}
Comment 1 Edwin Groothuis freebsd_committer 2010-10-26 23:30:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-10-26 23:30:19 UTC
Maintainer of textproc/pear-Numbers_Words,

Please note that PR ports/151765 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/151765

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-10-26 23:30:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Piotr Rybicki 2010-10-26 23:45:22 UTC
W dniu 2010-10-27 00:30, Edwin Groothuis pisze:
> Maintainer of textproc/pear-Numbers_Words,
> 
> Please note that PR ports/151765 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/151765
> 

Excelent! Please submit.

Thank You & best regards
Piotr Rybicki
Comment 5 dfilter service freebsd_committer 2010-11-04 05:23:06 UTC
miwi        2010-11-04 05:23:01 UTC

  FreeBSD ports repository

  Modified files:
    textproc/pear-Numbers_Words Makefile 
  Log:
  - Fix install category
  
  PR:             151765
  Submitted by:   Chris St Denis <chris@smartt.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.5       +2 -0      ports/textproc/pear-Numbers_Words/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2010-11-04 05:23:09 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!